You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@maven.apache.org by gn...@apache.org on 2022/04/29 15:30:15 UTC

[maven-mvnd] branch master updated: Fix return values in script

This is an automated email from the ASF dual-hosted git repository.

gnodet pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/maven-mvnd.git


The following commit(s) were added to refs/heads/master by this push:
     new 9b4f3f9  Fix return values in script
9b4f3f9 is described below

commit 9b4f3f9792da153911cc6223c9750b7c2eba6f0a
Author: Guillaume Nodet <gn...@gmail.com>
AuthorDate: Fri Apr 29 17:01:18 2022 +0200

    Fix return values in script
---
 build/release.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/build/release.sh b/build/release.sh
index d65d74f..2a734ac 100755
--- a/build/release.sh
+++ b/build/release.sh
@@ -86,7 +86,7 @@ startup_check()
       fi
 
       local unstaged
-      unstaged=$(echo "$uncommits" | grep -c "^ [A-Z]")
+      unstaged=$(echo "$uncommits" | grep -c "^ [A-Z]") || true
       if [[ $unstaged -gt 0 ]]; then
         echo "There are unstaged changes - cannot proceed"
         echo $(echo "$uncommits" | grep "^ [A-Z]")
@@ -94,7 +94,7 @@ startup_check()
       fi
 
       local untracked
-      untracked=$(echo "$uncommits" | grep -c "^??");
+      untracked=$(echo "$uncommits" | grep -c "^??") || true
       if [[ $untracked -gt 0 ]]; then
         echo "There are untracked changes - cannot proceed"
         echo $(echo "$uncommits" | grep "^??")